MyGUI: MyGUI::IFont Class Reference

MyGUI 3.4.3

Public Types | Public Member Functions | Static Public Member Functions
MyGUI::IFont Class Referenceabstract

`#include <MyGUI_IFont.h>`

Inheritance diagram for MyGUI::IFont:
[legend]

## Public Types
typedef RTTIBase | Base
typedef IFont | RTTIBase
Public Types inherited from MyGUI::IResource
typedef RTTIBase | Base
typedef IResource | RTTIBase
Public Types inherited from MyGUI::ISerializable
typedef RTTIBase | Base
typedef ISerializable | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual std::string_view | getTypeName () const override
virtual bool | isType (const std::type_info &_type) const override
template<typename Type>
bool | isType () const
virtual const GlyphInfo * | getGlyphInfo (Char _id) const =0
virtual ITexture * | getTextureFont () const =0
virtual int | getDefaultHeight () const =0
Public Member Functions inherited from MyGUI::IResource
template<typename Type>
bool | isType () const
const std::string & | getResourceName () const
void | setResourceName (std::string_view _value)
| IResource (IResource const &)=delete
IResource & | operator= (IResource const &)=delete
Public Member Functions inherited from MyGUI::ISerializable
template<typename Type>
bool | isType () const
virtual void | serialization (xml::ElementPtr, Version)
Public Member Functions inherited from MyGUI::IObject
template<typename Type>
bool | isType () const
template<typename Type>
Type * | castType (bool _throw=true)
template<typename Type>
const Type * | castType (bool _throw=true) const
virtual | ~IObject ()=default

## Static Public Member Functions
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IResource
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISerializable
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static std::string_view | getClassTypeName ()

## Additional Inherited Members
Protected Member Functions inherited from MyGUI::IResource
| IResource ()=default
| ~IResource () override=default
void | deserialization (xml::ElementPtr _node, Version) override
Protected Attributes inherited from MyGUI::IResource
std::string | mResourceName

## Detailed Description

Definition at line 20 of file MyGUI_IFont.h.

## Member Typedef Documentation

## ◆ Base

typedef RTTIBase MyGUI::IFont::Base

Definition at line 22 of file MyGUI_IFont.h.

## ◆ RTTIBase

typedef IFont MyGUI::IFont::RTTIBase

Definition at line 22 of file MyGUI_IFont.h.

## Member Function Documentation

## ◆ getClassTypeName()

std::string_view MyGUI::IFont::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 22 of file MyGUI_IFont.h.

## ◆ getDefaultHeight()

virtual int MyGUI::IFont::getDefaultHeight | ( |  | ) | const
| pure virtual

Implemented in MyGUI::ResourceManualFont, and MyGUI::ResourceTrueTypeFont.

## ◆ getGlyphInfo()

virtual const GlyphInfo * MyGUI::IFont::getGlyphInfo | ( | Char | _id | ) | const
| pure virtual

Implemented in MyGUI::ResourceManualFont, and MyGUI::ResourceTrueTypeFont.

## ◆ getTextureFont()

virtual ITexture * MyGUI::IFont::getTextureFont | ( |  | ) | const
| pure virtual

Implemented in MyGUI::ResourceManualFont, and MyGUI::ResourceTrueTypeFont.

## ◆ getTypeName()

virtual std::string_view MyGUI::IFont::getTypeName | ( |  | ) | const
| inlineoverridevirtual

Get type name as string

Reimplemented from MyGUI::IResource.

Reimplemented in MyGUI::ResourceManualFont, and MyGUI::ResourceTrueTypeFont.

Definition at line 22 of file MyGUI_IFont.h.

## ◆ isType() [1/2]

template<typename Type>

bool MyGUI::IFont::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 22 of file MyGUI_IFont.h.

## ◆ isType() [2/2]

virtual bool MyGUI::IFont::isType | ( | const std::type_info & | _type | ) | const
| inlineoverridevirtual

Compare with selected type

Reimplemented from MyGUI::IResource.

Reimplemented in MyGUI::ResourceManualFont, and MyGUI::ResourceTrueTypeFont.

Definition at line 22 of file MyGUI_IFont.h.

The documentation for this class was generated from the following file:

- MyGUI_IFont.h